## erlang-sqlite3 1.1.4~dfsg0

=== Makefile ===
REBAR=rebar
REBAR_COMPILE=$(REBAR) get-deps compile
PLT=dialyzer\sqlite3.plt

all: compile

compile: sqlite3.dll sqlite3.lib
	$(REBAR_COMPILE)

debug: sqlite3.dll sqlite3.lib
	$(REBAR_COMPILE) -C rebar.debug.config

tests: compile sqlite3.dll
	cp sqlite3.dll priv
	rebar skip-deps=true eunit

clean:
	if exist deps del /Q deps
	if exist ebin del /Q ebin
	if exist priv del /Q priv
	if exist doc\* del /Q doc\*
	if exist .eunit del /Q .eunit
	if exist c_src\*.o del /Q c_src\*.o
	if exist dialyzer del /Q dialyzer
	if exist sqlite3.* del /Q sqlite3.*

docs: compile
	rebar doc

static: compile
	@if not exist $(PLT) \
		(mkdir dialyzer & dialyzer --build_plt --apps kernel stdlib erts --output_plt $(PLT)); \
	else \
		(dialyzer --plt $(PLT) -r ebin)

cross_compile: clean
	$(REBAR_COMPILE) -C rebar.cross_compile.config

sqlite3.dll: sqlite3_amalgamation\sqlite3.c sqlite3_amalgamation\sqlite3.h
	cl /O2 sqlite3_amalgamation\sqlite3.c /Isqlite3_amalgamation /link /dll /out:sqlite3.dll

sqlite3.lib: sqlite3.dll
	lib /out:sqlite3.lib sqlite3.obj

=== debian/changelog ===
erlang-sqlite3 (1.1.4~dfsg0-1) unstable; urgency=low

  * Initial release. (Closes: #794775)

 -- Philipp Huebner <debalance@debian.org>  Thu, 06 Aug 2015 15:57:42 +0200

=== debian/control ===
Source: erlang-sqlite3
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-syntax-tools, libsqlite3-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/alexeyr/erlang-sqlite3
Vcs-Git: git://anonscm.debian.org/users/debalance/erlang-sqlite3.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/debalance/erlang-sqlite3.git

Package: erlang-sqlite3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: SQLite3 wrapper for Erlang applications
 This is an SQLite3 library for Erlang. It is designed to make it easy
 to write Erlang applications that use SQLite3.
 ejabberd for example uses it as its sqlite driver.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

DESTDIR=$(CURDIR)/debian/erlang-sqlite3


%:
	dh $@ --buildsystem=rebar --with rebar


override_dh_auto_install:
	dh_auto_install
	for file in include/*.hrl; do \
		fname=$$(basename $${file}) ; \
		subdir=$$(dirname $${file}) ; \
		if [ ! -f $(DESTDIR)/usr/lib/erlang/lib/sqlite3-$(DEB_VERSION_UPSTREAM)/$${subdir}/$${fname} ] ; then \
			install -m 755 -d $(DESTDIR)/usr/lib/erlang/lib/sqlite3-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
			install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/sqlite3-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
		fi ; \
	done


get-orig-source:
	dh_testdir
	wget -O ../erlang-sqlite3_$(DEB_VERSION_UPSTREAM).orig.tar.gz \
		https://github.com/alexeyr/erlang-sqlite3/archive/$(DEB_VERSION_UPSTREAM).tar.gz

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-sqlite3_$1.tar.gz/,dversionmangle=s/\~(debian|dfsg|ds|deb)(\d+)?$//" \
  https://github.com/alexeyr/erlang-sqlite3/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
